#!/usr/bin/env python
import qt

from coral.modeler.property.propertyeditor import ElementPE
import coral
metamodel=coral.lang.UML14 

app=qt.QApplication([])
c=metamodel.Class(name="Customer")
p=metamodel.Class(name="Person")

dlg=ElementPE()
dlg.show()
for e in [c,p,c]:
    dlg.focusOn(e)
    app.processEvents()

